<?php

namespace MGModule\DNSManager2\mgLibs\custom\helpers\ZoneLogger\Actions;

use MGModule\DNSManager2\mgLibs\custom\dns\record\interfaces\ArrayPrinter;
/**
 * Class EditRecord
 *
 * @author Artur Pilch <artur.pi@modulesgarden.com>
 */
class EditRecord
{
    /**
     * @var ArrayPrinter
     */
    private $newRecord;

    /**
     * @var ArrayPrinter
     */
    private $oldRecord;

    /**
     * EditRecord constructor.
     * @param ArrayPrinter $newRecord
     * @param ArrayPrinter $oldRecord
     */
    public function __construct(ArrayPrinter $newRecord, ArrayPrinter $oldRecord)
    {
        $this->newRecord = $newRecord;
        $this->oldRecord = $oldRecord;
    }

    /**
     * @return ArrayPrinter
     */
    public function getNewRecord()
    {
        return $this->newRecord;
    }

    /**
     * @param ArrayPrinter $newRecord
     */
    public function setNewRecord($newRecord)
    {
        $this->newRecord = $newRecord;
    }

    /**
     * @return ArrayPrinter
     */
    public function getOldRecord()
    {
        return $this->oldRecord;
    }

    /**
     * @param ArrayPrinter $oldRecord
     */
    public function setOldRecord($oldRecord)
    {
        $this->oldRecord = $oldRecord;
    }


}
